//! \example _tests/fsDll/main.cpp
//---------------------------------------------------------------------------
#include <fs/sys/fsDll.h>

#include <cassert>
//---------------------------------------------------------------------------
int main()
{
    fs::sys::Dll_t Dll("user32.dll");
    assert(Dll.IsValid() && "Couldn't load the DLL!");
        
    typedef int (__stdcall * MsgBox_f)(const void *, const char *,
     const char *, unsigned int);
    
    MsgBox_f pfnMsgBox = static_cast<MsgBox_f>(Dll.GetSymb("MessageBoxA"));
    assert(pfnMsgBox && "Couldn't export the function!");
        
    (*pfnMsgBox)(0, "MessageBoxA - Hello World!", Dll.GetFile(), 0);
        
    return 0;
}
//---------------------------------------------------------------------------