//! \example _tests/fsLog/dll.cpp
//---------------------------------------------------------------------------
#include <fs/sys/fsLog.h>

#include <cassert>
#include <windows.h>
//---------------------------------------------------------------------------
BOOL WINAPI DllMain(HINSTANCE, DWORD reason, LPVOID)
{
    switch(reason)
    {
        case DLL_PROCESS_ATTACH:
        {
            FS_LOG("o.DLL The module has just been attached.");
            FS_LOG("o.DLL Still logs only into the log history...");
            break;
        }
    }

    return TRUE;
}
//---------------------------------------------------------------------------
extern "C" void __declspec(dllexport) BindAppLog(fs::sys::Log_t *pAppLog,
 bool bBind)
{
    assert(pAppLog);
    fs::sys::ModLog().SetTgt(bBind ? pAppLog : 0);
}
//---------------------------------------------------------------------------
extern "C" int __declspec(dllexport) SomeDllFunc(int nVal)
{
    FS_LOG("o.DLL SomeDllFunc(%d) has just been called.", nVal);
    return nVal + 1;
}
//---------------------------------------------------------------------------