/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
/*                          _______      ______    ______          __      */
/*  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~    / ____(_)___ / ___ /)  / ____/___  ____/ /__    */
/*      [fsConst]         / /_  / / __ \\__ \|/  / /   / __ \/ __  / _ \   */
/*       rev.  2         / __/ / / /_/ /__/ /   / /___/ /_/ / /_/ /  __/   */
/*    20th Jan 2007     /_/   /_/ ,___/____/    \____/\____/\__,_/\___/    */
/*     [x] stable              /_/ (c) 2006-7 Filip STOKLAS (FipS)         */
/*  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~       http://HOLE.4FipS.com/fips_code.php          */
/*                                                                         */
/* This code is free for personal and commercial use. You may redistribute */
/* it by any means. If you use the code for your own projects please give  */
/* me credit. Please send a bug report. Don't alter or remove this header! */
/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
#ifndef FS_MTH_FSCONST_H
#define FS_MTH_FSCONST_H
//---------------------------------------------------------------------------
#if defined(FS_INCLUDE_USERDEFS) // inject user definition file on request
#   include <fs/fsUserDefs.h>
#endif
//---------------------------------------------------------------------------
namespace fs { namespace mth {
//---------------------------------------------------------------------------
const float EPS = 1.192092896e-07f;
const float PI = 3.14159265358979323846f;
const float PI360 = 2.0f * PI;
const float PI90 = .5f * PI;
const float PI45 = .25f * PI;
const float DEG2RAD = PI / 180.0f;
const float RAD2DEG = 180.0f / PI;
//---------------------------------------------------------------------------
}} // namespace fs::mth
//---------------------------------------------------------------------------
#endif // FS_MTH_FSCONST_H