/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
/*                          _______      ______    ______          __      */
/*  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~    / ____(_)___ / ___ /)  / ____/___  ____/ /__    */
/*      [fsTypes]         / /_  / / __ \\__ \|/  / /   / __ \/ __  / _ \   */
/*       rev.  2         / __/ / / /_/ /__/ /   / /___/ /_/ / /_/ /  __/   */
/*    20th Jan 2007     /_/   /_/ ,___/____/    \____/\____/\__,_/\___/    */
/*     [x] stable              /_/ (c) 2006-7 Filip STOKLAS (FipS)         */
/*  ~ ~ ~ ~ ~ ~ ~ ~ ~ ~       http://HOLE.4FipS.com/fips_code.php          */
/*                                                                         */
/* This code is free for personal and commercial use. You may redistribute */
/* it by any means. If you use the code for your own projects please give  */
/* me credit. Please send a bug report. Don't alter or remove this header! */
/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
#ifndef FS_MTH_TYPES_H
#define FS_MTH_TYPES_H
//---------------------------------------------------------------------------
#if defined(FS_INCLUDE_USERDEFS) // inject user definition file on request
#   include <fs/fsUserDefs.h>
#endif

#include "fsVec2.h"
#include "fsRec2.h"
//---------------------------------------------------------------------------
namespace fs { namespace mth {
//---------------------------------------------------------------------------
typedef Vec2_T<int> Vec2i_t;
typedef Vec2_T<float> Vec2f_t;
typedef Vec2_T<fixed> Vec2x_t; // temporary
typedef Rec2_T<int> Rec2i_t;
typedef Rec2_T<float> Rec2f_t;
typedef Rec2_T<fixed> Rec2x_t; // temporary
//---------------------------------------------------------------------------
}} // namespace fs::mth
//---------------------------------------------------------------------------
#endif // FS_MTH_TYPES_H
